%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-theora
Version:        0.3.1
Release:        %mkrel 13
Summary:        OCaml interface to the theora library
License:        GPLv2
Group:          Development/OCaml
URL:            https://github.com/savonet/ocaml-theora
Source0:        https://github.com/savonet/ocaml-theora/releases/download/%version/ocaml-theora-%{version}.tar.gz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  pkgconfig(theora)
BuildRequires:  ocaml-ogg-devel
BuildRequires:  ocaml-rpm-macros
Requires:       ocaml-ogg
Requires:       libtheora

%description
This package contains an OCaml interface for 
Theora Video Compression Codec Library, 
otherwise known as libtheora.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libtheora-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup

%build
./configure
make all
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/theora
%make_install

%ocaml_files

%files -f .ofiles
%doc CHANGES README
%license COPYING

%files devel -f .ofiles-devel
%doc doc/html/


%changelog
* Sat Jun 21 2025 daviddavid <daviddavid> 0.3.1-13.mga10
+ Revision: 2193599
- use ocaml_files macro

* Thu May 01 2025 daviddavid <daviddavid> 0.3.1-12.mga10
+ Revision: 2180286
- rebuild for new libtheora 1.2.0
- rebuild for new ocaml 5.3

* Thu May 19 2022 pterjan <pterjan> 0.3.1-11.mga9
+ Revision: 1858911
- Rebuild for OCaml 4.14

* Fri Apr 01 2022 umeabot <umeabot> 0.3.1-10.mga9
+ Revision: 1839546
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 0.3.1-9.mga9
+ Revision: 1750861
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 0.3.1-8.mga9
+ Revision: 1697308
- rebuild for ocaml-4.2-12

* Sun Jan 10 2021 pterjan <pterjan> 0.3.1-7.mga8
+ Revision: 1670483
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.3.1-6.mga8
+ Revision: 1551372
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.3.1-5.mga8
+ Revision: 1543703
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 tv <tv> 0.3.1-4.mga8
+ Revision: 1482104
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 0.3.1-3.mga7
+ Revision: 1324236
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.3.1-2.mga7
+ Revision: 1299939
- Mageia 7 Mass Rebuild

* Wed Nov 29 2017 tv <tv> 0.3.1-1.mga7
+ Revision: 1180212
- new release
- rebuild for new ocaml

* Wed Feb 17 2016 umeabot <umeabot> 0.3.0-9.mga6
+ Revision: 963911
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-8.mga5
+ Revision: 748978
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-7.mga5
+ Revision: 683115
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-6.mga4
+ Revision: 508616
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-5.mga3
+ Revision: 361662
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.3.0-4.mga3
+ Revision: 301573
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.3.0-3.mga3
+ Revision: 300384
- url
- new rpm group for ocaml

* Wed Mar 28 2012 malo <malo> 0.3.0-2.mga2
+ Revision: 227305
- add missing Requires to libtheora-devel

* Thu Jan 12 2012 blue_prawn <blue_prawn> 0.3.0-1.mga2
+ Revision: 195065
- imported package ocaml-theora

